# Uses of Interface
org.eclipse.search.ui.ISearchResultPage

Packages that use ISearchResultPage
Package
Description
org.eclipse.search.ui
Classes and interface required to contribute search dialog pages and search result view pages.
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.

## Uses of ISearchResultPage in org.eclipse.search.ui

Methods in org.eclipse.search.ui that return ISearchResultPage
Modifier and Type
Method
Description
`ISearchResultPage`
ISearchResultViewPart.`getActivePage()`
Returns the `ISearchResultPage` currently shown in this search view.

## Uses of ISearchResultPage in org.eclipse.search.ui.text

Classes in org.eclipse.search.ui.text that implement ISearchResultPage
Modifier and Type
Class
Description
`class`
`AbstractTextSearchViewPage`
An abstract base implementation for classes showing `AbstractTextSearchResult` instances.